### Method

# GLib Source query_unix_fd

since: 2.36

#### Declaration

    GIOCondition
    g_source_query_unix_fd (
      GSource* source,
      gpointer tag
    )

#### Description

Queries the events reported for the fd corresponding to `tag` on `source` during the last poll.

The return value of this function is only defined when the function is called from the check or dispatch functions for `source`.

This API is only intended to be used by implementations of `GSource`. Do not call this API on a `GSource` that you did not create.

As the name suggests, this function is not available on Windows.

Available since: 2.36

#### Parameters

`tag`

  Type: `gpointer`

  The tag from g_source_add_unix_fd().

  The data is owned by the caller of the method.

#### Return value

Type: `GIOCondition`

The conditions reported on the fd.